<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepie',

    /*
     * Package.
     */
    'package'   => 'activity',

    /*
     * Modules.
     */
    'modules'   => ['activity_log'],

    
    'activity_log'       => [
        'model' => [
            'model'                 => \Litepie\Activity\Models\ActivityLog::class,
            'table'                 => 'activity_logs',
            'presenter'             => \Litepie\Activity\Repositories\Presenter\ActivityLogPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'log_name',  'description',  'subject_id',  'subject_type',  'causer_id',  'causer_type',  'properties',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'activity/activity_log',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepie',
            'package'   => 'Activity',
            'module'    => 'ActivityLog',
        ],

    ],
];
